libglom-1.26 1.28.5

- Main Page
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
Glom::LayoutItem_GroupBy Class Reference

The child items are fields to be shown for each record in the group. More...

Inheritance diagram for Glom::LayoutItem_GroupBy:
[legend]
Collaboration diagram for Glom::LayoutItem_GroupBy:
[legend]

## Public Types
typedef Formatting::type_pair_sort_field | type_pair_sort_field
typedef Formatting::type_list_sort_fields | type_list_sort_fields
Public Types inherited from Glom::LayoutGroup
typedef std::vector< sharedptr< LayoutItem > > | type_list_items
typedef std::vector< sharedptr< const LayoutItem > > | type_list_const_items
Public Types inherited from Glom::TranslatableItem
enum | enumTranslatableItemType { TRANSLATABLE_TYPE_INVALID, TRANSLATABLE_TYPE_FIELD, TRANSLATABLE_TYPE_RELATIONSHIP, TRANSLATABLE_TYPE_LAYOUT_ITEM, TRANSLATABLE_TYPE_CUSTOM_TITLE, TRANSLATABLE_TYPE_PRINT_LAYOUT, TRANSLATABLE_TYPE_REPORT, TRANSLATABLE_TYPE_TABLE, TRANSLATABLE_TYPE_BUTTON, TRANSLATABLE_TYPE_TEXTOBJECT, TRANSLATABLE_TYPE_IMAGEOBJECT, TRANSLATABLE_TYPE_CHOICEVALUE, TRANSLATABLE_TYPE_DATABASE_TITLE, TRANSLATABLE_TYPE_STATIC_TEXT }
typedef std::map< Glib::ustring, Glib::ustring > | type_map_locale_to_translations

## Public Member Functions
| LayoutItem_GroupBy ()
| LayoutItem_GroupBy (const LayoutItem_GroupBy& src)
LayoutItem_GroupBy& | operator= (const LayoutItem_GroupBy& src)
virtual | ~LayoutItem_GroupBy ()
virtual LayoutItem* | clone () const
| Create a new copied instance. More...
sharedptr< LayoutItem_Field > | get_field_group_by ()
sharedptr< const LayoutItem_Field > | get_field_group_by () const
bool | get_has_field_group_by () const
void | set_field_group_by (const sharedptr< LayoutItem_Field >& field)
type_list_sort_fields | get_fields_sort_by ()
type_list_sort_fields | get_fields_sort_by () const
bool | get_has_fields_sort_by () const
void | set_fields_sort_by (const type_list_sort_fields& field)
virtual Glib::ustring | get_layout_display_name () const
| Get a text representation for the a layout. More...
virtual Glib::ustring | get_part_type_name () const
virtual Glib::ustring | get_report_part_id () const
| Gets the node name to use for the intermediate XML, (and usually, the CSS style class to use for the resulting HTML). More...
sharedptr< LayoutGroup > | get_secondary_fields ()
sharedptr< const LayoutGroup > | get_secondary_fields () const
type_list_sort_fields | get_sort_by () const
void | set_sort_by (const type_list_sort_fields& sort_by)
Public Member Functions inherited from Glom::LayoutGroup
| LayoutGroup ()
| LayoutGroup (const LayoutGroup& src)
LayoutGroup& | operator= (const LayoutGroup& src)
virtual | ~LayoutGroup ()
bool | has_field (const Glib::ustring& parent_table_name, const Glib::ustring& table_name, const Glib::ustring& field_name) const
| Discover whether the layout group contains the specified field (from the current table). More...
bool | has_any_fields () const
| Discover whether the layout group contains any fields. More...
void | add_item (const sharedptr< LayoutItem >& item)
| Add the item to the end of the list. More...
void | add_item (const sharedptr< LayoutItem >& item, const sharedptr< const LayoutItem >& position)
| Add the item after the specified existing item. More...
void | remove_item (const sharedptr< LayoutItem >& item)
| Remove a layout item from the group. More...
void | remove_field (const Glib::ustring& parent_table_name, const Glib::ustring& table_name, const Glib::ustring& field_name)
| Remove any instance of the field from the layout. More...
virtual void | change_field_item_name (const Glib::ustring& table_name, const Glib::ustring& field_name, const Glib::ustring& field_name_new)
virtual void | change_related_field_item_name (const Glib::ustring& table_name, const Glib::ustring& field_name, const Glib::ustring& field_name_new)
virtual void | remove_relationship (const sharedptr< const Relationship >& relationship)
| Remove any use of the relationship from the layout. More...
void | remove_all_items ()
double | get_border_width () const
void | set_border_width (double border_width)
guint | get_items_count () const
guint | get_columns_count () const
void | set_columns_count (guint columns_count)
type_list_items | get_items ()
type_list_const_items | get_items () const
type_list_const_items | get_items_recursive () const
| Get the items recursively, depth-first, not returning any groups. More...
type_list_items | get_items_recursive ()
| Get the items recursively, depth-first, not returning any groups. More...
type_list_const_items | get_items_recursive_with_groups () const
| Get the items recursively, depth-first, also returning the groups. More...
Public Member Functions inherited from Glom::LayoutItem
| LayoutItem ()
| LayoutItem (const LayoutItem& src)
LayoutItem& | operator= (const LayoutItem& src)
virtual | ~LayoutItem ()
bool | operator== (const LayoutItem& src) const
virtual bool | get_editable () const
virtual void | set_editable (bool val=true)
guint | get_display_width () const
void | set_display_width (guint value)
void | get_print_layout_position (double& x, double& y, double& width, double& height) const
| This is used only for the print layouts. More...
void | set_print_layout_position (double x, double y, double width, double height)
| This is used only for the print layouts. More...
void | set_print_layout_position_y (double y)
| This is used only for the print layouts. More...
void | set_print_layout_split_across_pages (bool split=true)
| This is used only for the print layouts. More...
bool | get_print_layout_split_across_pages () const
| This is used only for the print layouts. More...
Public Member Functions inherited from Glom::TranslatableItem
| TranslatableItem ()
| TranslatableItem (const TranslatableItem& src)
virtual | ~TranslatableItem ()
TranslatableItem& | operator= (const TranslatableItem& src)
bool | operator== (const TranslatableItem& src) const
bool | operator!= (const TranslatableItem& src) const
virtual void | set_name (const Glib::ustring& name)
| Set the non-translated identifier name. More...
virtual Glib::ustring | get_name () const
| Get the non-translated identifier name. More...
bool | get_name_not_empty () const
virtual Glib::ustring | get_title_or_name (const Glib::ustring& locale) const
virtual Glib::ustring | get_title (const Glib::ustring& locale) const
| Get the title's translation for the specified locale, falling back to the original text if there is no translation. More...
virtual Glib::ustring | get_title_original () const
| Get the title's original (non-translated, usually English) text. More...
Glib::ustring | get_title_translation (const Glib::ustring& locale, bool fallback=true) const
| Get the title's translation for the specified locale, optionally falling back to a locale of the same language, and then falling back to the original. More...
void | set_title (const Glib::ustring& title, const Glib::ustring& locale)
| Set the title's translation for the specified locale. More...
void | set_title_original (const Glib::ustring& title)
| Set the title's original (non-translated, usually English) text. More...
void | clear_title_in_all_locales ()
| Clear the original title and any translations of the title. More...
bool | get_has_translations () const
enumTranslatableItemType | get_translatable_item_type () const

## Additional Inherited Members
Static Public Member Functions inherited from Glom::TranslatableItem
static Glib::ustring | get_translatable_type_name (enumTranslatableItemType item_type)
static Glib::ustring | get_translatable_type_name_nontranslated (enumTranslatableItemType item_type)
| The non-translated name is used for the context in gettext .po files. More...
Public Attributes inherited from Glom::LayoutGroup
type_list_items | m_list_items
Protected Attributes inherited from Glom::TranslatableItem
enumTranslatableItemType | m_translatable_item_type

## Detailed Description

The child items are fields to be shown for each record in the group.

The records are grouped by a specified field and there may be. secondary fields that are also shown for each group.

## Member Typedef Documentation

typedef Formatting::type_list_sort_fields Glom::LayoutItem_GroupBy::type_list_sort_fields

typedef Formatting::type_pair_sort_field Glom::LayoutItem_GroupBy::type_pair_sort_field

## Constructor & Destructor Documentation

Glom::LayoutItem_GroupBy::LayoutItem_GroupBy | ( |  | ) |

Glom::LayoutItem_GroupBy::LayoutItem_GroupBy | ( | const LayoutItem_GroupBy& | src | ) |

virtual Glom::LayoutItem_GroupBy::~LayoutItem_GroupBy | ( |  | ) |
| virtual

## Member Function Documentation

virtual LayoutItem* Glom::LayoutItem_GroupBy::clone | ( |  | ) | const
| virtual

Create a new copied instance.

This allows us to deep-copy a list of LayoutItems.

Reimplemented from Glom::LayoutGroup.

sharedptr<LayoutItem_Field> Glom::LayoutItem_GroupBy::get_field_group_by | ( |  | ) |

sharedptr<const LayoutItem_Field> Glom::LayoutItem_GroupBy::get_field_group_by | ( |  | ) | const

type_list_sort_fields Glom::LayoutItem_GroupBy::get_fields_sort_by | ( |  | ) |

type_list_sort_fields Glom::LayoutItem_GroupBy::get_fields_sort_by | ( |  | ) | const

bool Glom::LayoutItem_GroupBy::get_has_field_group_by | ( |  | ) | const

bool Glom::LayoutItem_GroupBy::get_has_fields_sort_by | ( |  | ) | const

virtual Glib::ustring Glom::LayoutItem_GroupBy::get_layout_display_name | ( |  | ) | const
| virtual

Get a text representation for the a layout.

Reimplemented from Glom::LayoutItem.

virtual Glib::ustring Glom::LayoutItem_GroupBy::get_part_type_name | ( |  | ) | const
| virtual

Reimplemented from Glom::LayoutGroup.

virtual Glib::ustring Glom::LayoutItem_GroupBy::get_report_part_id | ( |  | ) | const
| virtual

Gets the node name to use for the intermediate XML, (and usually, the CSS style class to use for the resulting HTML).

Reimplemented from Glom::LayoutGroup.

sharedptr<LayoutGroup> Glom::LayoutItem_GroupBy::get_secondary_fields | ( |  | ) |

sharedptr<const LayoutGroup> Glom::LayoutItem_GroupBy::get_secondary_fields | ( |  | ) | const

type_list_sort_fields Glom::LayoutItem_GroupBy::get_sort_by | ( |  | ) | const

LayoutItem_GroupBy& Glom::LayoutItem_GroupBy::operator= | ( | const LayoutItem_GroupBy& | src | ) |

void Glom::LayoutItem_GroupBy::set_field_group_by | ( | const sharedptr< LayoutItem_Field >& | field | ) |

void Glom::LayoutItem_GroupBy::set_fields_sort_by | ( | const type_list_sort_fields& | field | ) |

void Glom::LayoutItem_GroupBy::set_sort_by | ( | const type_list_sort_fields& | sort_by | ) |

The documentation for this class was generated from the following file:

- libglom/data_structure/layout/report_parts/layoutitem_groupby.h